POSTUpdateAsset

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/updateasset

Update basic TRC-10 token information.

Request Body
owner_addressstringrequired

Token issuer's address. (Format: Base58 or Hex)

descriptionstring

Description of the TRC-10 token. (Default: Hex)

urlstring

URL of the official website. (Default: Hex)

new_limitinteger (int32)

New free Bandwidth limit for each caller.

new_public_limitinteger (int32)

New total free Bandwidth limit for all callers.

Permission_idinteger (int32)

Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
owner_addressstring

Token issuer's address.

descriptionstring

Description of the TRC-10 token.

urlstring

URL of the official website.

new_limitinteger (int64)

Bandwidth limit for each individual caller.

new_public_limitinteger (int64)

Total Bandwidth limit for all callers.

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/updateasset" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "description": "0x4578616d706c654465736372697074696f6e",
  "url": "0x7777772e6578616d706c652e636f6d",
  "new_limit": 1000000,
  "new_public_limit": 100,
  "visible": true
}'
Response
Example · 200
{
  "owner_address": "string",
  "description": "string",
  "url": "string",
  "new_limit": 0,
  "new_public_limit": 0
}